Skip to main content
GET
/
v1
/
tables
/
{table_id}
const table = await client.tables.get("tbl_abc123");

console.log(table.name);
console.log(table.status);
console.log(table.total_rows);
{
  "id": "tbl_abc123",
  "name": "Q1 Product Catalog",
  "schema_id": "schema_xyz789",
  "status": "completed",
  "progress": 100,
  "total_rows": 42,
  "source_type": "files",
  "additional_context": null,
  "enhancement_context": "Focus on technical specifications",
  "error_message": null,
  "files": [
    { "name": "catalog.pdf", "path": "company_123/file_xyz/catalog.pdf", "size": 1048576 }
  ],
  "created_at": "2025-03-10T14:30:00.000Z",
  "updated_at": "2025-03-10T15:45:00.000Z"
}

Path parameters

table_id
string
required
The unique identifier of the table.

Response

id
string
Unique table identifier.
name
string
Table name.
schema_id
string
Schema used for extraction.
status
string
queued, processing, completed, or failed.
progress
integer
Extraction progress (0-100).
total_rows
integer
Number of extracted rows.
source_type
string
files or text.
additional_context
string | null
Extraction context.
enhancement_context
string | null
Enhancement context.
error_message
string | null
Error message if processing failed.
files
array
Uploaded file metadata.
created_at
string
ISO 8601 timestamp.
updated_at
string
ISO 8601 timestamp.
const table = await client.tables.get("tbl_abc123");

console.log(table.name);
console.log(table.status);
console.log(table.total_rows);
{
  "id": "tbl_abc123",
  "name": "Q1 Product Catalog",
  "schema_id": "schema_xyz789",
  "status": "completed",
  "progress": 100,
  "total_rows": 42,
  "source_type": "files",
  "additional_context": null,
  "enhancement_context": "Focus on technical specifications",
  "error_message": null,
  "files": [
    { "name": "catalog.pdf", "path": "company_123/file_xyz/catalog.pdf", "size": 1048576 }
  ],
  "created_at": "2025-03-10T14:30:00.000Z",
  "updated_at": "2025-03-10T15:45:00.000Z"
}